Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78551 - Latest kernel compiles with errors
Summary: Latest kernel compiles with errors
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-25 18:17 UTC by jra
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-25 18:52:21 UTC


Attachments (Terms of Use)

Description jra 2002-11-25 18:17:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I downloaded the latest (2.4.18-18.7.x) kernel source RPM and it does not 
compile without numerous errors.  It appears that some source components are 
missing. Surely someone else has reported this but it does not appear when 
doing a bug query.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download and install the kernel-source RPM
2. In the source directory, do a make mrproper
3. Do a make menuconfig and save the config file
4. Compile by doing a make bzImage

	

Actual Results:  By redirecting the results to a file, only the errors appear 
on the screen which report the missing directories, files, etc.

Expected Results:  The stock kernel should compile without errors before 
attempting to make changes.

Additional info:

Comment 1 Arjan van de Ven 2002-11-25 18:21:44 UTC
it works for everybody else...


Comment 2 jra 2002-11-25 18:48:49 UTC
Let me correct something here.  First I do a make mrproper.  Then I do the 
following:
make dep > dep.txt which dumps the normal stuff into the file and only 
displays the errors.  The errors are:
/usr/src/linux-2.4.18-18.7.x/include/asm: No such file or directory
/usr/src/linux-2.4.18-18.7.x/include/math-emu: No such file or directory
This should be fixed before moving on, correct?


Comment 3 Arjan van de Ven 2002-11-25 18:52:02 UTC
no
make dep is just a simple dependency generator. not all includes exist for all
architectures, but make dep has no knowledge of the #ifdef's in the code for
that.... so it prints out a few of these, safe to ignore

Comment 4 jra 2002-11-26 18:03:05 UTC
Today I ignored the make dep errors, did a make clean and then compiled the 
kernel.  Afterwards I did a make modules followed by a make modules_install. 
Some errors appeared with some of the modules but we don't use those modules.  
The machine was rebooted and appears to be OK.

Let me close by saying that this is the first time any errors of any kind were 
noticed in compiling a new kernel.  The only reason we have to compile it in 
the first place is to add the "boot off-board chipsets first" option.


Note You need to log in before you can comment on or make changes to this bug.